Initiate a payment for an embedded flow using payment_token (query or body) and selected bank
curl --request POST \
--url https://core.quidkey.com/api/v1/embedded/payment-initiation \
--header 'Content-Type: application/json' \
--data '
{
"bankId": "123e4567-e89b-12d3-a456-426614174000",
"paymentScheme": null
}
'import requests
url = "https://core.quidkey.com/api/v1/embedded/payment-initiation"
payload = {
"bankId": "123e4567-e89b-12d3-a456-426614174000",
"paymentScheme": None
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({bankId: '123e4567-e89b-12d3-a456-426614174000', paymentScheme: null})
};
fetch('https://core.quidkey.com/api/v1/embedded/payment-initiation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"order_id": "123"
}
}{
"success": false,
"error": {
"message": "Invalid input provided"
}
}{
"success": false,
"error": {
"message": "Invalid input provided"
}
}{
"success": false,
"error": {
"message": "Invalid input provided"
}
}Embedded Payment Flow
Initiate a payment for an embedded flow using payment_token (query or body) and selected bank
Initiate a payment for an embedded flow using payment_token (query or body) and selected bank
POST
/
api
/
v1
/
embedded
/
payment-initiation
Initiate a payment for an embedded flow using payment_token (query or body) and selected bank
Body
application/json
Request body
- Option 1
- Option 2
The selected bank ID for redirect-based payment flows
Example:
"123e4567-e89b-12d3-a456-426614174000"
paymentScheme
Payment Scheme Type · stringPayment Scheme Type · stringPayment Scheme Type · stringPayment Scheme Type · stringPayment Scheme Type · stringPayment Scheme Type · stringPayment Scheme Type · string
Payment scheme selected by user. null = use default scheme for customer country, explicit value = user choice
Allowed value:
"SEPA_CREDIT_TRANSFER"Example:
null
Show child attributes
Show child attributes